#include <stdlib.h>
#include <stdio.h>
#include "dt.h"

int
main (int argc, char **argv)
{
    DataTable *test = create_datatable(TYPE_STRING,"blah","blih","bloh","toto","tata","titi","tutu",
                                       TYPE_INT,5,12,TYPE_INVALID);
    printf("size: %d\n",datatable_length(test));
    datatable_append(&test,datacontent_new_int(56));
    DataContent *blah = datacontent_new_string("toto");
    datatable_remove(&test,blah);
    free_datacontent(blah);
    datatable_foreach(test,(DataAction)datacase_print,NULL);
    free_datatable(&test);

    return 1;
}
